<inp2:adm_SetPopupSize width="750" height="400"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="c" section="in-portal:browse" title_preset="relations_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('c-rel','<inp2:c-rel_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('c-rel','OnCancel');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
						go_to_id('c-rel', '<inp2:c-rel_PrevId/>');
					}
				));

				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
						go_to_id('c-rel', '<inp2:c-rel_NextId/>');
					}
				));

				a_toolbar.Render();

				<inp2:m_if check="c-rel_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="c-rel_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="c-rel_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:m_include t="categories/ci_blocks"/>

<inp2:c-rel_SaveWarning name="grid_save_warning"/>
<inp2:c-rel_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" prefix="c-rel" fields="SourceId,SourceType,TargetId,TargetType,RelationshipId,TargetId,Type,Enabled,Priority" title="la_section_Relation"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-rel" field="SourceId"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-rel" field="SourceType"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-rel" field="TargetId"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-rel" field="TargetType"/>

			<inp2:m_RenderElement name="inp_id_label" prefix="c-rel" field="RelationshipId" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_edit_relation" prefix="c-rel" field="TargetId" title="la_fld_TargetId"/>
			<inp2:m_RenderElement name="inp_edit_radio" prefix="c-rel" field="Type" title="la_fld_RelationshipType"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="c-rel" field="Enabled" title="la_fld_Enabled"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="c-rel" field="Priority" title="la_fld_Priority" size="4"/>
			<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>
